メインコンテンツへスキップ
GET /v1/memory_stores/{memory_store_id}/memories/{memory_id} 単一の メモリエントリオブジェクトを取得します。内容が利用可能な場合、レスポンスに content が含まれます。

パスパラメータ

パラメータ必須説明
memory_store_idstringはいMemory Store ID(memstore_ プレフィックス)
memory_idstringはいメモリエントリ ID(mem_ プレフィックス)

ヘッダー

ヘッダー必須
AuthorizationBearer $QODER_PATはい

リクエスト例

curl -X GET "https://api.qoder.com/api/v1/cloud/memory_stores/memstore_xxx/memories/mem_xxx" \
  -H "Authorization: Bearer $QODER_PAT"

レスポンス例

HTTP 200 OK
{
  "id": "mem_019e3bb965a671fca51bde1cf8d87de0",
  "type": "memory",
  "store_id": "memstore_019e3bb93b7074f9a5130d39ddcca90f",
  "path": "test/note.md",
  "content": "Hello world",
  "size": 11,
  "content_sha256": "64ec88ca00b268e5ba1a35678a1b5316d212f4f366b2477232534a8aeca37f3c",
  "version": 1,
  "metadata": {},
  "created_at": "2026-05-18T15:34:26.494349Z",
  "updated_at": "2026-05-18T15:34:26.494349Z"
}

レスポンスフィールド

フィールド説明
idstringメモリエントリ ID、mem_ プレフィックス
typestring固定値 "memory"
store_idstring所属する Memory Store ID
pathstringメモリの相対パス
contentstring現在のエントリ内容。利用可能な場合に返される
sizeinteger内容サイズ(バイト)
content_sha256string現在の内容の SHA-256 ダイジェスト
versioninteger現在のエントリバージョン
metadataメタデータオブジェクトカスタムメタデータ
created_atstringUTC 作成時刻
updated_atstringUTC 最終更新時刻

エラーレスポンス

HTTPtype説明
401authentication_error認証トークンが提供されていないまたは無効
404not_found_error指定の Memory Store またはアクティブなメモリエントリが存在しない

関連項目

Memory Stores

Agent に Session をまたいだ永続メモリを与える。